<?php 
require_once('scripts/sb_functions.php');
global $logged_in;
$logged_in = logged_in( true, true );
	
read_config();
sb_language( 'options' );
	
$key_array = array( 'lDate_slotOne',
		    'lDate_slotOneSeparator',
		    'lDate_slotTwo',
		    'lDate_slotTwoSeparator',
		    'lDate_slotThree',
		    'lDate_slotThreeSeparator',
		    'lDate_slotFour',
		    'lDate_slotFourSeparator',
		    'lDate_leadZeroDay',
		    'sDate_order',
		    'sDate_separator',
		    'sDate_leadZeroDay',
		    'sDate_leadZeroMonth',
		    'sDate_fullYear',
		    'time_clockFormat',
		    'time_leadZeroHour',
		    'time_AM',
		    'time_PM',
		    'time_separator',
		    'eFormat_slotOne',
		    'eFormat_separator',
		    'eFormat_slotTwo',
		    'server_offset',
		    'mFormat' );
	
$array = array();
for ( $i = 0; $i < count( $key_array ); $i++ ) {
    array_push( $array, str_replace( '|', ':', $_POST[ $key_array[$i] ] ) );
}
	
$ok = write_dateFormat( $array );

if ( $ok === true ) {
    redirect_to_url( 'index.php' );
}

html_header('',false);

function page_content() {
    global $lang_string, $user_colors;
		
    if ( $ok !== true ) {
	echo( $lang_string[ 'error' ] . $ok . '<p />' );
    }
		
    echo( '<a href="index.php">' . $lang_string[ 'home' ] . '</a><br /><br />' );
}
theme_pagelayout();
html_footer();


?>
